## afnix 3.7.0

=== Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix top level makefile                                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR          = .
CONFFILE	= cnf/mak/afnix-conf.mak
RULEFILE	= cnf/mak/afnix-rule.mak
include		$(CONFFILE)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule
all   : build
.PHONY: all

# include: afnix-rule.mak
# this rule includes the platform dependant rules
include $(RULEFILE)

# rule: debug
# configure the world in debug mode
debug:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -g
.PHONY: debug

# rule: optimized
# configure the world in optimized mode
optimized:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -o
.PHONY: optimized

# rule: build
# this rule build the complete source tree
build: debug
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: build

# rule: world
# this rule build the optimized world
world: optimized
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: world

# rule: test
# this rule build and test all libraries
test:
	@${MAKE} -C src test
	@${MAKE} -C prj test
.PHONY: test

# rule: devel
# this rule install the development file
devel:
	@${MAKE} -C cnf devel
	@${MAKE} -C tst devel
.PHONY: devel

# rule: doc
# this rule build the documentation
doc:
	@${MAKE} -C doc doc
	@${MAKE} -C src doc
	@${MAKE} -C prj doc
.PHONY: doc

# rule: distri
# this rule creates the distribution
distri:
	@$(MKDIR) $(BLDDST)
	@$(CP)    Makefile $(BLDDST)
	@${MAKE}  -C cnf distri
	@${MAKE}  -C src distri
	@${MAKE}  -C prj distri
	@${MAKE}  -C tst distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C exp distri
	@${MAKE}  -C doc distri
.PHONY: distri

# rule: install
# this rule install the distribution
install:
	@${MAKE}  -C src install
	@${MAKE}  -C prj install
	@${MAKE}  -C etc install
.PHONY: install

# rule: publish
# this rule install the documentation
publish:
	@${MAKE}  -C doc publish
	@${MAKE}  -C src publish
	@${MAKE}  -C prj publish
.PHONY: publish

# rule: clean
# This rule cleans the distribution.
clean::
	@${MAKE} -C cnf clean
	@${MAKE} -C src clean
	@${MAKE} -C prj clean
	@${MAKE} -C tst clean
	@${MAKE} -C exp clean
	@${MAKE} -C doc clean
	@${MAKE} -C etc clean
.PHONY: clean

# rule: reset
# This rule reset the whole distribution and configuration
reset: clean
	@$(RMDIR) $(BLDDIR)
.PHONY: reset

=== cnf/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix cnf makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C bin devel
	@${MAKE} -C mak devel
.PHONY: devel

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C bin distri
	@${MAKE}  -C def distri
	@${MAKE}  -C mak distri
	@${MAKE}  -C pkg distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C bin clean
	@${MAKE} -C def clean
	@${MAKE} -C mak clean
	@${MAKE} -C pkg clean

=== doc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix doc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which builds the documentation

all: doc
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: doc
# this rule prepare the documentation

doc:
	@${MAKE} -C xml doc
.PHONY: doc

# rule: distri
# this rule creates the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C dtd distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C xml distri
.PHONY: distri

# rule: publish
# this rule install the documentation

publish:
	@${MAKE} -C etc publish
	@${MAKE} -C xml publish
.PHONY: publish

# rule: clean
# This rule cleans the directories

clean::
	@${MAKE} -C dtd clean
	@${MAKE} -C etc clean
	@${MAKE} -C xml clean

=== etc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix etc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/etc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C std all
	@${MAKE} -C unx all
.PHONY: build

# rule: distri
# this rule installs the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@${MAKE} -C std distri
	@${MAKE} -C unx distri
.PHONY: distri

# rule: install
# this rule installs the distribution

install:
	@${MAKE} -C std install
	@${MAKE} -C unx install
.PHONY: install

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C std clean
	@${MAKE} -C unx clean
.PHONY: clean

=== exp/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix exp makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/exp

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C api distri
	@${MAKE}  -C prj distri
.PHONY: distri

# rule: clean
# this rule clean all directories

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C api clean
	@${MAKE} -C prj clean
.PHONY: clean

=== prj/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix projects makefile                                                  -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/prj

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C std all
.PHONY: build

# rule: test
# this rule build and test all projects

test:
	@${MAKE} -C std test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C std doc
.PHONY: doc

# rule: distri
# this rule installs the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C std distri
.PHONY: distri

# rule: install
# this rule installs the distribution

install:
	@${MAKE} -C std install
.PHONY: install

# rule: publish
# this rule publish the documentation

publish:
	@${MAKE} -C std publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C std clean
.PHONY: clean

=== src/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix src makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/src

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C lib all
	@${MAKE} -C mod all
	@${MAKE} -C srv all
	@${MAKE} -C clt all
.PHONY: build

# rule: interp
# this rule build the base interpreter

interp:
	@${MAKE} -C lib all
	@${MAKE} -C clt interp
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C lib test
	@${MAKE} -C clt test
	@${MAKE} -C mod test
	@${MAKE} -C srv test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C mod doc
	@${MAKE} -C srv doc
	@${MAKE} -C clt doc
.PHONY: doc

# rule: distri
# this rule install the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C lib distri
	@${MAKE}  -C mod distri
	@${MAKE}  -C srv distri
	@${MAKE}  -C clt distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE}  -C lib install
	@${MAKE}  -C mod install
	@${MAKE}  -C srv install
	@${MAKE}  -C clt install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE}  -C mod publish
	@${MAKE}  -C srv publish
	@${MAKE}  -C clt publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C lib clean
	@${MAKE} -C mod clean
	@${MAKE} -C srv clean
	@${MAKE} -C clt clean
.PHONY: clean

=== tst/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix tst makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/tst

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which run the test rule

all: test
.PHONY: test

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C ref devel
	@${MAKE} -C mod devel
.PHONY: devel

# rule: test
# this rule runs all test suite

test:
	@${MAKE}  -C ref
	@${MAKE}  -C mod
.PHONY: test

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C mod distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C mod clean

=== cnf/bin/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix bin makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/bin
DVLDIR		= $(BLDDVL)/bin

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    afnix-fxdir $(DVLDIR)
	@$(CP)    afnix-aexec $(DVLDIR)
	@$(CP)    afnix-bexec $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the bin files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile    $(DSTDIR)
	@$(CP)    afnix-aexec $(DSTDIR)
	@$(CP)    afnix-bexec $(DSTDIR)
	@$(CP)    afnix-guess $(DSTDIR)
	@$(CP)    afnix-fxdir $(DSTDIR)
	@$(CP)    afnix-query $(DSTDIR)
	@$(CP)    afnix-setup $(DSTDIR)
	@$(CP)    afnix-vcomp $(DSTDIR)
.PHONY: distri

=== cnf/def/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix def makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/def

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the def files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.def    $(DSTDIR)
.PHONY: distri

=== cnf/mak/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix mak makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/mak
DVLDIR		= $(BLDDVL)/mak
SRCMAK		= $(wildcard *.mak)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    $(SRCMAK) $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@$(CP)    $(SRCMAK) $(DSTDIR)
.PHONY: distri

=== cnf/pkg/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix pkg makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2022 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/pkg

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the pkg files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@${MAKE}  -C deb distri
	@${MAKE}  -C rpm distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C deb clean
	@${MAKE} -C rpm clean

=== debian/changelog ===
afnix (3.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.0, no changes needed.
  * Remove Section on afnix that duplicates source.

  [ Nobuhiro Iwamatsu ]
  * New upstream release.
  * Update d/patches
    - Remove patches for old gcc support
    - Add Use-dpkg-buildflags-for-gcc-12.patch. (Closes: #1012889)
    - Add Fix-a-pointer-type-mismatch-error-by-delete-with-tra.patch
    - Add Relatif.cpp-Fix-uninitialized-error-in-cbsz.patch
    - Add Fix-build-with-Werror-aggressive-loop-optimizations-.patch
  * Update d/copyright

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Dec 2022 15:55:10 +0900

=== debian/watch ===
version=3
http://www.afnix.org/ftp/afnix-src-([0-9]+.[0-9]+.[0-9]+)\.tgz
#opts="uversionmangle=s/-/./g" http://www.afnix.org/ftp/afnix-src-([0-9]+.[0-9]+.[0-9]+)\.tgz

## afnix 3.8.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR          = .

=== cnf/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== etc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== exp/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== prj/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== tst/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== cnf/bin/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/def/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/mak/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/pkg/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2022 amaury darsch                                    -
+# - copyright (c) 1999-2023 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== debian/changelog ===
afnix (3.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * add 0015-Update-for-gcc-13.patch (Closes: #1037570)
    (thanks to Jonathan Bergh for the patch)
  * add 0016-Update-for-gcc-14.patch
  * add architecture-is-64-bit as dependency (Closes: #1031749)
    There seems to be a real problem with failing tests on
    32bits architectures.
    
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Nov 2024 23:03:02 +0100

afnix (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete the patch applied to upstream.
  * Add d/patches/Add-header-to-afnix-legal-manpage.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 16 Feb 2023 06:00:53 +0900

=== debian/control ===
Source: afnix
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses5-dev (>= 5.5),
               dpkg-dev (>= 1.16.1~),
               architecture-is-64-bit
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/afnix
Vcs-Git: https://salsa.debian.org/debian/afnix.git
Homepage: http://www.afnix.org/

Package: afnix
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: afnix-doc
Conflicts: aleph
Replaces: aleph
Description: Compiler and run-time for the AFNIX programming language
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.

Package: afnix-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: afnix
Description: Compiler and run-time for the AFNIX programming language (documentation)
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.
 .
 This package contains the documentation for AFNIX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk
BUILD_DATE := $(shell date +"%Y-%m-%d")

%:
	dh $@

override_dh_auto_configure:
	./cnf/bin/afnix-setup -o --prefix=/usr
	@echo "Afnix build information"
	@echo "-----"
	@cat bld/cnf/afnix-plat.mak

override_dh_auto_build:
	$(MAKE) world

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf bld
	dh_clean

override_dh_auto_test:
	$(MAKE) test

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/afnix/usr \
		SHRDIR=$(CURDIR)/debian/afnix/usr/share \
		DESTDIR=$(CURDIR)/debian/afnix LIBDIR=$(CURDIR)/debian/afnix/usr/lib/afnix \
		install publish
	find $(CURDIR)/debian/afnix -name "*.1" | xargs sed -i -e "s/$(BUILD_DATE) //g"
	find $(CURDIR)/debian/afnix -name "*.3" | xargs sed -i -e "s/$(BUILD_DATE) //g"
	find $(CURDIR)/debian/afnix -name "*.7" | xargs sed -i -e "s/$(BUILD_DATE) //g"

	# Separate documentation package.
	install -d $(CURDIR)/debian/afnix-doc/usr/share/doc
	mv $(CURDIR)/debian/afnix/usr/share/doc/afnix $(CURDIR)/debian/afnix-doc/usr/share/doc

override_dh_shlibdeps:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/debian/afnix/usr/lib/afnix dh_shlibdeps
